X
點擊此處開啟此網站的行動版。

技術支援討論區

Apps keep disappearing more and more after each upgrade

已張貼

Why do more and more apps continue to disappear after each upgrade? There are so many apps that I love that are no longer available or not compatible? And often no replacements, this is what made Firefox so awesome was the apps. Now I have virtually nothing of the apps that I use and there are some where I have all kinds of files with information from them I cannot get to and I REALLY wan! For example 'scrapbook'. for example; I will have to go into thousands and thousands of files one at a time to get them. I hate the upgrades that you are doing more and more than I like them. I find myself either downgrading in frustration or using Chrome. You either have to stop upgrading so fast, make it so more apps are still compatible, or have a downgraded version before Quantum available. (easiest- offer a pre Quantum version.) If Firefox is for the people, than make it what the people want.

Why do more and more apps continue to disappear after each upgrade? There are so many apps that I love that are no longer available or not compatible? And often no replacements, this is what made Firefox so awesome was the apps. Now I have virtually nothing of the apps that I use and there are some where I have all kinds of files with information from them I cannot get to and I REALLY wan! For example 'scrapbook'. for example; I will have to go into thousands and thousands of files one at a time to get them. I hate the upgrades that you are doing more and more than I like them. I find myself either downgrading in frustration or using Chrome. You either have to stop upgrading so fast, make it so more apps are still compatible, or have a downgraded version before Quantum available. (easiest- offer a pre Quantum version.) If Firefox is for the people, than make it what the people want.
引用

額外的系統細節

已安裝的外掛程式

  • Shockwave Flash 32.0 r0

應用程式

  • User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0

更多資訊

WestEnd
  • Top 25 Contributor
62 個解決方法 5373 個答案

Alot depends if the addon/extension is compatible with the Browser updates.

Alot depends if the addon/extension is compatible with the Browser updates.
這篇文章有幫助嗎? 0
引用
jscher2000
  • Top 10 Contributor
8635 個解決方法 70633 個答案

Hi Witchywoman, your Firefox reported itself as version 57, which is quite old now. However, it is the first version where Scrapbook stopped working. Firefox 57 was released around November 2017 and removed the ability to run "legacy" extensions.

If the Scrapbook extension is essential to your online life, then you may need to consider using a different browser such as Waterfox, which is not a Mozilla browser, but uses old code from Firefox 56 so it can run legacy extensions like Scrapbook.

There also might be new extensions for Firefox which work similarly to Scrapbook, but I haven't researched them myself.

Hi Witchywoman, your Firefox reported itself as version 57, which is quite old now. However, it is the first version where Scrapbook stopped working. Firefox 57 was released around November 2017 and removed the ability to run "legacy" extensions. If the Scrapbook extension is essential to your online life, then you may need to consider using a different browser such as Waterfox, which is not a Mozilla browser, but uses old code from Firefox 56 so it can run legacy extensions like Scrapbook. There also might be new extensions for Firefox which work similarly to Scrapbook, but I haven't researched them myself.
這篇文章有幫助嗎?
引用

提出問題者

I already know that they are incompatible, I should have reworded it differently- Should have said why do they have to keep upgrading in a way that make so many apps incompatible.

I am in the processes of downgrading again, to find a build that works the best, I just started again this morning. They're so many apps that are beginning not to work old versions either and there are no good comparable apps when you upgrade. Its your basic 'Catch 22'

Mozilla should have a non-Quantum version for those of use that really liked the old way. Thanks for the tip on Waterfox for scrapbook!! Going to try it now.

I already know that they are incompatible, I should have reworded it differently- Should have said why do they have to keep upgrading in a way that make so many apps incompatible. I am in the processes of downgrading again, to find a build that works the best, I just started again this morning. They're so many apps that are beginning not to work old versions either and there are no good comparable apps when you upgrade. Its your basic 'Catch 22' Mozilla should have a non-Quantum version for those of use that really liked the old way. Thanks for the tip on Waterfox for scrapbook!! Going to try it now.
這篇文章有幫助嗎?
引用
jscher2000
  • Top 10 Contributor
8635 個解決方法 70633 個答案

From a security perspective, it would be best to:

(A) Give up on using old versions of Firefox with legacy extensions, and use Waterfox for those.

(B) Keep Firefox current for safer browsing when you don't need the legacy extensions.

From a security perspective, it would be best to: (A) Give up on using old versions of Firefox with legacy extensions, and use Waterfox for those. (B) Keep Firefox current for safer browsing when you don't need the legacy extensions.
這篇文章有幫助嗎?
引用
問個問題

如果您還沒有帳號,您必須先 登入您的帳號 來回覆文章。請 開始一個新問題